> ## Documentation Index
> Fetch the complete documentation index at: https://docs.plugkit.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Modifier un profil



## OpenAPI

````yaml /api-reference/openapi.json patch /v1/profiles/{id}
openapi: 3.0.0
info:
  title: orsay-api
  description: API unifiée réseaux sociaux — Instagram & WhatsApp
  version: 0.1.0
  contact: {}
servers:
  - url: https://api.plugkit.co
    description: Production
security: []
tags: []
paths:
  /v1/profiles/{id}:
    patch:
      tags:
        - profiles
      summary: Modifier un profil
      operationId: ProfilesController_update
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateProfileDto'
      responses:
        '200':
          description: ''
      security:
        - api-key: []
components:
  schemas:
    UpdateProfileDto:
      type: object
      properties:
        name:
          type: string
          example: My Brand
        color:
          type: string
          example: '#6366f1'
        description:
          type: string
        isDefault:
          type: boolean
          default: false
  securitySchemes:
    api-key:
      scheme: bearer
      bearerFormat: sk_...
      type: http

````